Package org.apache.sling.cms.core.internal.operations

## Class CheckpointOperation

- java.lang.Object
- - org.apache.sling.cms.core.internal.operations.CheckpointOperation

All Implemented Interfaces:
  `org.apache.sling.servlets.post.PostOperation`

    public class CheckpointOperation
    extends Object
    implements org.apache.sling.servlets.post.PostOperation

The `CheckpointOperation` class will perform a JCR Version Checkpoint operation on the underlying JCR Node. The checkpoint operation depends on the resources being backed up by a JCR node.

### Field Summary

### Fields inherited from interface org.apache.sling.servlets.post.PostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

### Constructor Summary

Constructors
`CheckpointOperation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doRun​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, List<org.apache.sling.servlets.post.Modification> changes)`
`void` `run​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckpointOperation

    public CheckpointOperation()

### Method Detail

#### run

    public void run​(org.apache.sling.api.SlingHttpServletRequest request,
                    org.apache.sling.servlets.post.PostResponse response,
                    org.apache.sling.servlets.post.SlingPostProcessor[] processors)

Specified by:
  `run` in interface `org.apache.sling.servlets.post.PostOperation`

#### doRun

    protected void doRun​(org.apache.sling.api.SlingHttpServletRequest request,
                         org.apache.sling.servlets.post.PostResponse response,
                         List<org.apache.sling.servlets.post.Modification> changes)
                  throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`